Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class LoadStateHandler

    java.lang.Object
      ix.ip2.ItemHandler
          ix.ip2.ActivityHandler
              ix.ip2.LoadPlanHandler
                  ix.ip2.LoadStateHandler

    public class LoadStateHandler

extends LoadPlanHandler

Generates a `HandlerAction` that loads a plan that contains world-state.

Nested Class Summary

Nested classes/interfaces inherited from class ix.ip2.LoadPlanHandler
`LoadPlanHandler.LoadPlanAction, LoadPlanHandler.ReplacePlanAction`

Field Summary
`static Symbol` | `S_LOAD_STATE`

Fields inherited from class ix.ip2.LoadPlanHandler
`ip2, S_LOAD_PLAN, verb`

Fields inherited from class ix.ip2.ItemHandler
`actionDescription`

Constructor Summary
`LoadStateHandler(Ip2 ip2)`

Method Summary
`void` | `addHandlerActions(AgendaItem item)` Called to add any `HandlerAction`s that this handler regards as appropriate for the specified AgendaItem.

Methods inherited from class ix.ip2.LoadPlanHandler
`appliesTo, getSyntaxList`

Methods inherited from class ix.ip2.ActivityHandler
`toString`

Methods inherited from class ix.ip2.ItemHandler
`getActionDescription, handle, isAutomatic, makeHandler, reviseHandlerActions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### S_LOAD_STATE

    public static final Symbol S_LOAD_STATE

Constructor Detail

### LoadStateHandler

    LoadStateHandler(Ip2 ip2)

Method Detail

### addHandlerActions

    public void addHandlerActions(AgendaItem item)

  Description copied from class: `ItemHandler`
  Called to add any `HandlerAction`s that this handler regards as appropriate for the specified AgendaItem.

  This method is called only if both this handler's `ItemHandler.appliesTo(AgendaItem)` and the specified item's `AgendaItem.wantsActionsFrom(ItemHandler)` methods return true.

  The method provided by the ItemHandler class just adds an action that calls this handler's `ItemHandler.handle(AgendaItem)` method. This allows suitably simple handlers to avoid working directly with HandlerActions.

  Note that actions are added by calling an item's `AgendaItem.addAction(HandlerAction)` method.

  Overrides:
    `addHandlerActions` in class `LoadPlanHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD